Subject: Re: bug#58850: 29.0.50; sqlite crashes on error

From: Andrew Hyatt <[email-masked]>
Date: Sat, 29 Oct 2022 19:44:17 -0400

On Sat, Oct 29, 2022 at 3:40 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Andrew Hyatt <[email-masked]>
> > Date: Fri, 28 Oct 2022 20:47:05 -0400
> >
> > From emacs -Q, execute the following:
> >
> >
> > (defun will-fail ()
> >   (let ((db (sqlite-open (make-temp-file "will-fail"))))
> >     (sqlite-execute db "SELECT foo FROM bar;")))
> >
> > (will-fail)
> >
> > Some combination of sqlite and getting errors that result in backtraces
> > seems to result in a problem.
> >
> > Relevant information from the crash report:
> > Thread 0 Crashed::  Dispatch queue: com.apple.main-thread
> > 0   libsystem_kernel.dylib                   0x1aab6ed98 __pthread_kill
> + 8
> > 1   libsystem_pthread.dylib                  0x1aaba3ee0 pthread_kill +
> 288
> > 2   libsystem_c.dylib                        0x1aaade3cc __abort + 128
> > 3   libsystem_c.dylib                        0x1aaacfd48
> __stack_chk_fail + 96
> > 4   Emacs                                    0x102dcdbd8 print_object +
> 5920
> > 5   Emacs                                    0x102dc9d50 Fprin1 + 112
> (print.c:775)
>
> Please try the latest master branch.  Jonas installed changes there
> that are related to sqlite error handling, and with today's master I
> get a Lisp error with your recipe, not a crash:
>
>   Debugger entered--Lisp error: (sqlite-error ("SQL logic error" "no such
> table: bar" 1 1))
>

I've synced, rebuilt, verified Jonas's change is there, however the crash
still occurs.